com.sun.mirror.util

## Interface TypeVisitor

All Known Implementing Classes:
  SimpleTypeVisitor

    public interface TypeVisitor

A visitor for types, in the style of the standard visitor design pattern. This is used to operate on a type when the kind of type is unknown at compile time. When a visitor is passed to a type's `accept` method, the most specific `visitXxx` method applicable to that type is invoked.

Since:
  1.5

### Method Summary

Methods
`void` `visitAnnotationType(AnnotationType t)` Visits an annotation type.
`void` `visitArrayType(ArrayType t)` Visits an array type.
`void` `visitClassType(ClassType t)` Visits a class type.
`void` `visitDeclaredType(DeclaredType t)` Visits a declared type.
`void` `visitEnumType(EnumType t)` Visits an enum type.
`void` `visitInterfaceType(InterfaceType t)` Visits an interface type.
`void` `visitPrimitiveType(PrimitiveType t)` Visits a primitive type.
`void` `visitReferenceType(ReferenceType t)` Visits a reference type.
`void` `visitTypeMirror(TypeMirror t)` Visits a type mirror.
`void` `visitTypeVariable(TypeVariable t)` Visits a type variable.
`void` `visitVoidType(VoidType t)` Visits a void type.
`void` `visitWildcardType(WildcardType t)` Visits a wildcard.

### Method Detail

#### visitTypeMirror

    void visitTypeMirror(TypeMirror t)

Visits a type mirror.

Parameters:
  `t` - the type to visit

#### visitPrimitiveType

    void visitPrimitiveType(PrimitiveType t)

Visits a primitive type.

Parameters:
  `t` - the type to visit

#### visitVoidType

    void visitVoidType(VoidType t)

Visits a void type.

Parameters:
  `t` - the type to visit

#### visitReferenceType

    void visitReferenceType(ReferenceType t)

Visits a reference type.

Parameters:
  `t` - the type to visit

#### visitDeclaredType

    void visitDeclaredType(DeclaredType t)

Visits a declared type.

Parameters:
  `t` - the type to visit

#### visitClassType

    void visitClassType(ClassType t)

Visits a class type.

Parameters:
  `t` - the type to visit

#### visitEnumType

    void visitEnumType(EnumType t)

Visits an enum type.

Parameters:
  `t` - the type to visit

#### visitInterfaceType

    void visitInterfaceType(InterfaceType t)

Visits an interface type.

Parameters:
  `t` - the type to visit

#### visitAnnotationType

    void visitAnnotationType(AnnotationType t)

Visits an annotation type.

Parameters:
  `t` - the type to visit

#### visitArrayType

    void visitArrayType(ArrayType t)

Visits an array type.

Parameters:
  `t` - the type to visit

#### visitTypeVariable

    void visitTypeVariable(TypeVariable t)

Visits a type variable.

Parameters:
  `t` - the type to visit

#### visitWildcardType

    void visitWildcardType(WildcardType t)

Visits a wildcard.

Parameters:
  `t` - the type to visit

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.